package p25_lambdy;

/* Interfejs funkcyjny to taki, w którym jest dokładnie jedna metoda wymagająca implementacji.
   Przed takim interfejsem można, ale nie trzeba, umieścić adnotację @FunctionalInterface
 */

public interface FunkcjaLiczbowa {
    double oblicz(double x);

    default void wypisz(double x) {
        System.out.println("f(" + x + ")=" + oblicz(x));
    }
}
